/* eslint-disable no-magic-numbers */
import { useEffect } from 'react';
import { MapConfig, MapInstance } from '../../MapViewer.types';
import { useOlMapPinsLayer } from './useOlMapPinsLayer';
import { useOlMapTileLayer } from './useOlMapTileLayer';

interface UseOlMapLayersInput {
  mapInstance: MapInstance;
}

export const useOlMapLayers = ({ mapInstance }: UseOlMapLayersInput): MapConfig['layers'] => {
  const tileLayer = useOlMapTileLayer();
  const pinsLayer = useOlMapPinsLayer();

  useEffect(() => {
    if (!mapInstance) {
      return;
    }

    mapInstance.setLayers([tileLayer, pinsLayer]);
  }, [tileLayer, pinsLayer, mapInstance]);

  return [tileLayer, pinsLayer];
};
